AWS RDS for SQL Server
- GET
- /workspaces
- /:workspace
- /targets
- /:target_id
Get a specific AWS RDS for SQL Server target by ID
Request
REQUIRED SCOPES
TARGET_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
target_idrequiredstring
Target unique identifier (hash ID)Example: "tgt-1234567890abcdef"
Response
RESPONSE BODY
typestring
The type of the targetValue: RDS_MSSQL
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidstring
The ID of the targetidentifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).namestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
Short representation of an environment objectpermissionsPermissionsView
Access permissions configurationpipelines_access_levelstring enum
Pipelines access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetsandboxes_access_levelstring enum
Sandboxes access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this targetdisabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)regionrequiredstring
AWS region of the RDS instance, e.g. us-east-1db_instance_identifierrequiredstring
RDS DB instance identifierintegrationrequiredstring
Hash ID or identifier of an AWS integrationhostrequiredstring
The hostname or IP address of the MSSQL serverportstring
The port of the MSSQL server. Default: 1433databasestring
The default database namessl_modestring enum
SSL mode: DISABLE (no encryption), REQUIRE (default; encrypted but server certificate is NOT validated, vulnerable to MITM), or VERIFY_FULL (encrypted with full server certificate validation; requires caCertificate)Allowed enum:
DISABLE,REQUIRE,VERIFY_FULLca_certificatestring
PEM-encoded CA certificate (required when sslMode is VERIFY_FULL)authrequiredMssqlAuthView
MSSQL authentication credentialsproxyTargetK8sProxyView
SSH proxy target for tunneling to private MSSQL serversLast modified on May 19, 2026
Request example
CURLcurl -X GET "https://api.buddy.works/workspaces/:workspace/targets/:target_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS200 OK